/// class PD.Web.UI.Controls.Separator
/// using PD.Web.UI.Controls.Template

PD.Web.UI.Controls.Separator =
PD.Web.UI.Controls.Button.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    _setDefaultValues: function (e) {

        var text = [
            "<div data-id='" + this.get_uid() + "'>",
                "<label>" + (e.text || "") + "</label>",
            "</div>"
        ].join("");

        this.data().add("text", text);
    },

    getSettings: function () {
        var result = this._super();
        result.attributes.class = "-pd-toolbar-separator";
        return result;
    }

});